Skip to content

Retrieves a device by ID

Request

GET {{baseURL}}/pay-api/v1/devices/{{deviceId}}

This endpoint retrieves the specified device.

See Also:
To retrieve devices, see GET /pay-api/v1/devices.
To create or update a device, see POST /pay-api/v1/devices.
To generate a tap-to-pay token for a device, see POST /pay-api/v1/devices/tap-to-pay/jwt.
To activate tap-to-pay for a device, see POST /pay-api/v1/devices/{deviceId}/tap-to-pay/activate.

Security
Bearer
Path
deviceIdstring, (uuid)required


Specifies the device identifier.

Example:7aafd09f-b3e6-43fb-b815-5db3bf7f1454
curl -i -X GET \
  https://developer.flute.com/_mock/api-reference/pay-api/v1/devices/7aafd09f-b3e6-43fb-b815-5db3bf7f1454 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
deviceIdstring or null, (uuid)

Indicates the device identifier.

Example: 7aafd09f-b3e6-43fb-b815-5db3bf7f1451

Example:"7aafd09f-b3e6-43fb-b815-5db3bf7f1451"
deviceNamestring or null

Indicates the device name.

Example: iPhone12,1

Example:"iPhone12,1"
lastLoginAtstring, (date-time)

Indicates the last login time (in an ISO 8601 date-time UTC format).

Example: 2026-01-19T14:27:02.767105Z

Example:"2026-01-19T14:27:02.767105Z"
apiKeyNamestring or null

Indicates the API key name being used.

Example: Peppared's Cafe Key

Example:"Peppared's Cafe Key"
tapToPayStatusstring or null

Indicates the tap to pay status.

Valid values are:

Tap To Pay status
Active
Approved
Denied
Inactive
Requested

Example: Active

Example:"Active"
tapToPayStatusIdinteger, (int32)

Indicates the tap to pay status identifier.

Valid values are:

IdStatus
0Inactive
1Requested
2Approved
3Active
4Denied

Example: 2

Example:2
tapToPayEnabledboolean

Indicates tap to pay feature is enabled.

If true, tap to pay feature is enabled.
If false, tap to pay feature is not enabled.

Example: true

Example:true
userProfilesArray of objects or null

Profiles associated with this device

Response
{ "deviceId": "7aafd09f-b3e6-43fb-b815-5db3bf7f1451", "deviceName": "iPhone12,1", "lastLoginAt": "2026-01-19T14:27:02.767105Z", "apiKeyName": "Peppared's Cafe Key", "tapToPayStatus": "Active", "tapToPayStatusId": 2, "tapToPayEnabled": true, "userProfiles": [ { "id": "04103b7f-c2fc-444b-b1ab-93eee3aec815", "firstName": "Alexandro", "lastName": "Peppared", "email": "peppared@example.com" } ] }